For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

All the endpoints that can be called on the User controller.

Endpoints that require the USER_READ permission:

  • GET index

  • GET settings

Endpoints that require the API_RESERVE_USER permission:

  • POST reserveUserForLiveChannel

Endpoints that require the USER_ANONYMOUS_BROWSING_UPDATE permission:

  • PUT ticketIncognitoMode

All other endpoints require the USER_CUD permission.

index

get

Returns all the users.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/user
GET /api/v2/user HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

index

post

Creates a new user.

Authorizations
HTTPRequired
Body
firstnamestringOptional

type: ^[a-zA-ZÀ-ÖØ-Þß-öø-ÿ\- ]+$

lastnamestringOptional

type: ^[a-zA-ZÀ-ÖØ-Þß-öø-ÿ\- ]+$

namestringOptional

type: ^[a-zA-Z0-9\.\-]+$

emailstringOptional

type: string

Must be a valid email address format.

telephone_numberstringOptional

type: ^\+[0-9]+$

languagestringOptional

type: ^(nl|en)$ = 'en'

dateFormatstringOptional

type: ^([a-z]{2}_[A-Z]{2})|(iso)$ = 'en_GB

groups[]stringOptional

type: number = null

sendActivationMailstringOptional

type: boolean = true

Responses
200

Successful response

application/json
post/api/v2/user
POST /api/v2/user HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 177

{
  "firstname": "text",
  "lastname": "text",
  "name": "text",
  "email": "text",
  "telephone_number": "text",
  "language": "text",
  "dateFormat": "text",
  "groups[]": "text",
  "sendActivationMail": "text"
}
200

Successful response

settings

get

Returns all the settings for this user.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/user/settings
GET /api/v2/user/settings HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

item

put

Updates the user's data.

Leaving any parameter empty will submit it as such. If you don't want to change a property, do not include it at all.

Authorizations
HTTPRequired
Path parameters
idstringRequired
Body
firstnamestringOptional

type: ^[a-zA-ZÀ-ÖØ-Þß-öø-ÿ\- ]+$ = null

Include this parameter to overwrite the existing name.

lastnamestringOptional

type: ^[a-zA-ZÀ-ÖØ-Þß-öø-ÿ\- ]+$ = null

Include this parameter to overwrite the existing name.

namestringOptional

type: ^[a-zA-Z0-9\.\-]+$ = null

emailstringOptional

type: string = null

Must be a valid email address format.

telephonestringOptional

type: ^\+[0-9]+$ = null

languagestringOptional

type: ^en|nl$ = null

dateFormatstringOptional

type: ^([a-z]{2}_[A-Z]{2})|(iso)$ = null

groups[]stringOptional

type: number = null

Responses
200

Successful response

application/json
put/api/v2/user/{id}
PUT /api/v2/user/{id} HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 142

"firstname='text'&lastname='text'&name='text'&email='text'&telephone='text'&language='text'&dateFormat='text'&groups[]='text'"
200

Successful response

item

delete

Deletes this user by their ID.

Authorizations
HTTPRequired
Path parameters
idstringRequired
Responses
200

Successful response

application/json
delete/api/v2/user/{id}
DELETE /api/v2/user/{id} HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

activate

put

Activates this user in the database.

Authorizations
HTTPRequired
Body
idstringOptional

type: number

Responses
200

Successful response

application/json
put/api/v2/user/activate
PUT /api/v2/user/activate HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 13

"id='text'"
200

Successful response

deactivate

put

Deactivates this user in the database.

Authorizations
HTTPRequired
Body
idstringOptional

type: number

Responses
200

Successful response

application/json
put/api/v2/user/deactivate
PUT /api/v2/user/deactivate HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 13

"id='text'"
200

Successful response

getUserViews

get

Returns the selected views of this user.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/user/getUserViews
GET /api/v2/user/getUserViews HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

updateUserView

put

Updates the selected views for this user.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

viewIDstringOptional

type: number

newValuestringOptional

type: [0|1]$

Put 1 if you want to add this view to the user, or 0 to unset.

Responses
200

Successful response

application/json
put/api/v2/user/updateUserView
PUT /api/v2/user/updateUserView HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 51

"userID='text'&viewID='text'&newValue='text'"
200

Successful response

maxChats

put

Updates the maximum chats for this user.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

maxChatsstringOptional

type: number

Responses
200

Successful response

application/json
put/api/v2/user/maxChats
PUT /api/v2/user/maxChats HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 35

"userID='text'&maxChats='text'"
200

Successful response

chatSoundNewMessage

put

Updates the chat sound on or off for this user.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

statestringOptional

type: ^[0,1]$

Responses
200

Successful response

application/json
put/api/v2/user/chatSoundNewMessage
PUT /api/v2/user/chatSoundNewMessage HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 32

"userID='text'&state='text'"
200

Successful response

notifyOnTicketAssignment

put

Sets the setting to notify the user on ticket assignment on or off for this user.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

statestringOptional

type: ^[0,1]$

Responses
200

Successful response

application/json
put/api/v2/user/notifyOnTicketAssignment
PUT /api/v2/user/notifyOnTicketAssignment HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 32

"userID='text'&state='text'"
200

Successful response

userStatistic

get

Returns this user's statistics.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/user/userStatistic
GET /api/v2/user/userStatistic HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

userStatistic

post

Adds user statistic KPI.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

statisticstringOptional

type: ^[a-zA-Z\_]+$

statisticOptionstringOptional

type: ^[0-9a-zA-Z]+$ = ' '

statisticSecondaryOptionstringOptional

type: ^[0-9a-zA-Z]+$ = ' '

Responses
200

Successful response

application/json
post/api/v2/user/userStatistic
POST /api/v2/user/userStatistic HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 95

{
  "userID": "text",
  "statistic": "text",
  "statisticOption": "text",
  "statisticSecondaryOption": "text"
}
200

Successful response

userStatistic

delete

Deletes user statistic settings.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
delete/api/v2/user/userStatistic
DELETE /api/v2/user/userStatistic HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

watch

put

Updates this user's statistics watch setting.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

statisticstringOptional

type: ^[a-zA-Z\_]+$

statisticPrimaryOptionstringOptional

type: ^[0-9a-zA-Z]+$ = ' '

statisticSecondaryOptionstringOptional

type: ^[0-9a-zA-Z]+$ = ' '

watchTogglestringOptional

type: ^watch|unwatch$

Responses
200

Successful response

application/json
put/api/v2/user/watch
PUT /api/v2/user/watch HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 123

"userID='text'&statistic='text'&statisticPrimaryOption='text'&statisticSecondaryOption='text'&watchToggle='text'"
200

Successful response

refreshTab

post

Invokes a refresh on this tab.

Authorizations
HTTPRequired
Body
tabIDstringOptional

type: ^[a-zA-Z0-9\_]+$

Responses
200

Successful response

application/json
post/api/v2/user/refreshTab
POST /api/v2/user/refreshTab HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 16

{
  "tabID": "text"
}
200

Successful response

updateStatus

post

Updates this user's status.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = null

userEmailAddressstringOptional

type: string

Must be a valid email address format.

statusIDstringOptional

type: number

lastInternalCallIDstringOptional

type: number = null

browserRequestTimestringOptional

type: number = 0

Responses
200

Successful response

application/json
post/api/v2/user/updateStatus
POST /api/v2/user/updateStatus HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 117

{
  "userID": "text",
  "userEmailAddress": "text",
  "statusID": "text",
  "lastInternalCallID": "text",
  "browserRequestTime": "text"
}
200

Successful response

ticketIncognitoMode

put

Updates this user's incognito mode on tickets.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

statestringOptional

type: ^[0,1]$

Put 1 for ticket incognito mode, 0 for regular.

Responses
200

Successful response

application/json
put/api/v2/user/ticketIncognitoMode
PUT /api/v2/user/ticketIncognitoMode HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 32

"userID='text'&state='text'"
200

Successful response

callsAutoAnswer

put

Updates this user's setting on automatically answering calls.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

statestringOptional

type: ^[0,1]$

Put 1 if you want auto-answer to be on, 0 if not.

Responses
200

Successful response

application/json
put/api/v2/user/callsAutoAnswer
PUT /api/v2/user/callsAutoAnswer HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 32

"userID='text'&state='text'"
200

Successful response

userCampaignState

post

Sets this user's active or inactive campaigns.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number = UID

campaignstringOptional

type: ^[a-zA-z0-9\-_]+$

Name of the campagin you want to set the user's status to.

statestringOptional

type: [0|1]$

Responses
200

Successful response

application/json
post/api/v2/user/userCampaignState
POST /api/v2/user/userCampaignState HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 50

{
  "userID": "text",
  "campaign": "text",
  "state": "text"
}
200

Successful response

statusLock

post

Sets this user to a specific status and locks it.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number

statusstringOptional

type: number

Responses
200

Successful response

application/json
post/api/v2/user/statusLock
POST /api/v2/user/statusLock HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 33

{
  "userID": "text",
  "status": "text"
}
200

Successful response

statusLockDelete

post

Deletes the status lock on this user.

Authorizations
HTTPRequired
Body
userIDstringOptional

type: number

Responses
200

Successful response

application/json
post/api/v2/user/statusLockDelete
POST /api/v2/user/statusLockDelete HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "userID": "text"
}
200

Successful response

userDashboard

get

Returns this user's dashboard data.

E.g. name, ID and avatar.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/user/userDashboard
GET /api/v2/user/userDashboard HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

get

Sends this user an account activation link.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/user/userActivationLink
GET /api/v2/user/userActivationLink HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

usernameUpdate

put

Updates this user's username.

Authorizations
HTTPRequired
Body
idstringOptional

type: number

usernamestringOptional

type: ^[a-zA-Z0-9\.\-]+$

Responses
200

Successful response

application/json
put/api/v2/user/usernameUpdate
PUT /api/v2/user/usernameUpdate HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 31

"id='text'&username='text'"
200

Successful response

firstnameUpdate

put

Updates this user's first name.

Authorizations
HTTPRequired
Body
idstringOptional

type: number

firstnamestringOptional

type: ^[a-zA-ZÀ-ÖØ-Þß-öø-ÿ\- ]+$

Responses
200

Successful response

application/json
put/api/v2/user/firstnameUpdate
PUT /api/v2/user/firstnameUpdate HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 32

"id='text'&firstname='text'"
200

Successful response

lastnameUpdate

put

Updates this user's last name.

Authorizations
HTTPRequired
Body
idstringOptional

type: number

lastnamestringOptional

type: ^[a-zA-ZÀ-ÖØ-Þß-öø-ÿ\- ]+$

Responses
200

Successful response

application/json
put/api/v2/user/lastnameUpdate
PUT /api/v2/user/lastnameUpdate HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 31

"id='text'&lastname='text'"
200

Successful response

Last updated